generic_binary_traits< multiplies >::first_argument_hint< tensor4_basic< A2 >, R, typename std::enable_if< is_rheolef_arithmetic< R >::value >::type >

## Public Types

typedef promote< A2, R >::type | S
typedef binop_error< details::multiplies, undeterminated_basic< S >, tensor4_basic< A2 >, R > | type

## Detailed Description

Definition at line 852 of file expression.h.

## Member Typedef Documentation

## S

typedef promote<A2,R>::type S

Definition at line 854 of file expression.h.

## type

typedef binop_error<details::multiplies,undeterminated_basic<S>,tensor4_basic<A2>,R> type

Definition at line 855 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/expression.h